Library Version 18.1.40

DB_SEQUENCE->close()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->close()

    #include <db.h>

    int
    DB_SEQUENCE->close(DB_SEQUENCE *seq, u_int32_t flags);

The `DB_SEQUENCE->close()` method closes the sequence handle. Any unused cached values are lost.

The DB_SEQUENCE handle may not be accessed again after `DB_SEQUENCE->close()` is called, regardless of its return.

The `DB_SEQUENCE->close()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flags

The flags parameter is currently unused, and must be set to 0.

### Errors

The `DB_SEQUENCE->close()` method method may fail and return one of the following non-zero errors:

#### EINVAL

An invalid flag value or parameter was specified.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
db_sequence_create | Home | DB_SEQUENCE->get()